# EXTTextureSwizzle (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class EXTTextureSwizzle

    java.lang.Object
      org.lwjgl.opengl.EXTTextureSwizzle

    public final class EXTTextureSwizzle

extends java.lang.Object

Field Summary
`static int` `GL_TEXTURE_SWIZZLE_A_EXT` Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static int` `GL_TEXTURE_SWIZZLE_B_EXT` Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static int` `GL_TEXTURE_SWIZZLE_G_EXT` Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static int` `GL_TEXTURE_SWIZZLE_R_EXT` Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:
`static int` `GL_TEXTURE_SWIZZLE_RGBA_EXT` Accepted by the <pname> parameters of TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE_SWIZZLE_R_EXT

    public static final int GL_TEXTURE_SWIZZLE_R_EXT

  Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

  See Also:
    Constant Field Values

### GL_TEXTURE_SWIZZLE_G_EXT

    public static final int GL_TEXTURE_SWIZZLE_G_EXT

  Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

  See Also:
    Constant Field Values

### GL_TEXTURE_SWIZZLE_B_EXT

    public static final int GL_TEXTURE_SWIZZLE_B_EXT

  Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

  See Also:
    Constant Field Values

### GL_TEXTURE_SWIZZLE_A_EXT

    public static final int GL_TEXTURE_SWIZZLE_A_EXT

  Accepted by the <pname> parameters of TexParameteri, TexParameterf, TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

  See Also:
    Constant Field Values

### GL_TEXTURE_SWIZZLE_RGBA_EXT

    public static final int GL_TEXTURE_SWIZZLE_RGBA_EXT

  Accepted by the <pname> parameters of TexParameteriv, TexParameterfv, GetTexParameterfv, and GetTexParameteriv:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.